import request from '@/utils/http'

// 调度APP-维保数量
export function vehicleMaintenanceCount() {
    return request({
        url: '/supplierAppV2/dispatchApp/maintenance/vehicleMaintenanceCount',
        method:'POST',
    })
}

//维保列表
export function vehicleMaintenanceList(data) {
    return request({
        url: '/supplierAppV2/dispatchApp/maintenance/vehicleMaintenanceList',
        method:'POST',
        contentType: 'application/json',
        data
    })
}
// 获取维保记录详情
export function getVehicleMaintenanceDetail(data) {
    return request({
        url: '/supplierAppV2/dispatchApp/maintenance/getVehicleMaintenanceDetail',
        method:'POST',
        contentType: 'application/json',
        data
    })
}
// 维保终止
export function vehicleMaintenanceStop(data) {
    return request({
        url: '/supplierAppV2/dispatchApp/maintenance/vehicleMaintenanceStop',
        method:'POST',
        contentType: 'application/json',
        data
    })
}
// 维保审批
export function vehicleMaintenanceApproval(data) {
    return request({
        url: '/supplierAppV2/dispatchApp/maintenance/vehicleMaintenanceApproval',
        method:'POST',
        contentType: 'application/json',
        data
    })
}
